BitVect.h File Reference
`#include <vector>`
`#include <string>`

Go to the source code of this file.

## Classes

class | BitVect
| Abstract base class for storing BitVectors. More...

## Typedefs

typedef std::vector< int > | IntVect
typedef IntVect::iterator | IntVectIter
typedef std::vector< double > | DoubleVect
typedef DoubleVect::iterator | DoubleVectIter

## Variables

const int | ci_BITVECT_VERSION =0x0020
| version number to use in pickles More...

## Typedef Documentation

typedef std::vector<double> DoubleVect

Definition at line 18 of file BitVect.h.

typedef DoubleVect::iterator DoubleVectIter

Definition at line 19 of file BitVect.h.

typedef std::vector<int> IntVect

Definition at line 16 of file BitVect.h.

typedef IntVect::iterator IntVectIter

Definition at line 17 of file BitVect.h.

## Variable Documentation

const int ci_BITVECT_VERSION =0x0020

version number to use in pickles

Definition at line 20 of file BitVect.h.